 #exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	Clipboard history plugin for the Xfce panel
Name:		xfce4-clipman-plugin
Version:	1.7.0
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-clipman-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-clipman-plugin/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		xfce4-clipman-plugin-1.6,7-Bug-actions.patch
BuildRequires:	meson
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.21.0
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(libqrencode)
Requires:	xfce4-panel

%description
Clipboard history panel plugin for the Xfce Desktop Environment.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%doc README* COPYING AUTHORS
%{_sysconfdir}/xdg/autostart/xfce4-clipman-plugin-autostart.desktop
%{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%{_bindir}/xfce4-*
%{_libdir}/xfce4/panel/plugins/libclipman.so
%{_datadir}/xfce4/panel/plugins/%{name}.desktop
%{_datadir}/applications/xfce4-clipman.desktop
%{_datadir}/applications/xfce4-clipman-settings.desktop
%{_metainfodir}/xfce4-clipman.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Tue Jul 15 2025 wally <wally> 1.7.0-1.mga10
+ Revision: 2255720
- new version 1.7.0
- switch to meson build

* Fri Apr 25 2025 wally <wally> 1.6.7-2.mga10
+ Revision: 2178650
- add patch to fix build with latest xfce libs

* Wed Dec 25 2024 wally <wally> 1.6.7-1.mga10
+ Revision: 2130024
- new version 1.6.7
- update bug actions patch and remove Xfce and Gnome actions as they have switched from Bugzilla to Gitlab

* Mon Dec 23 2024 wally <wally> 1.6.6-2.mga10
+ Revision: 2129507
- drop unneeded unique-1.0 BR

* Fri Mar 22 2024 wally <wally> 1.6.6-1.mga10
+ Revision: 2051284
- new version 1.6.6

* Sun Oct 22 2023 wally <wally> 1.6.5-1.mga10
+ Revision: 2000211
- new version 1.6.5

* Mon Sep 04 2023 wally <wally> 1.6.4-1.mga10
+ Revision: 1984101
- new version 1.6.4

* Sun Mar 26 2023 wally <wally> 1.6.3-1.mga9
+ Revision: 1950397
- new version 1.6.3

* Mon Apr 04 2022 umeabot <umeabot> 1.6.2-2.mga9
+ Revision: 1843612
- Mageia 9 Mass Rebuild

* Tue May 04 2021 wally <wally> 1.6.2-1.mga9
+ Revision: 1721318
- new version 1.6.2

* Sat Jul 04 2020 wally <wally> 1.6.1-2.mga8
+ Revision: 1601856
- update BRs

* Sun Apr 05 2020 wally <wally> 1.6.1-1.mga8
+ Revision: 1564859
- new version 1.6.1

* Mon Mar 30 2020 wally <wally> 1.6.0-1.mga8
+ Revision: 1562415
- new version 1.6.0

* Sun Mar 01 2020 wally <wally> 1.4.4-1.mga8
+ Revision: 1552716
- new version 1.4.4

* Fri Feb 14 2020 umeabot <umeabot> 1.4.3-2.mga8
+ Revision: 1519976
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Oct 27 2018 wally <wally> 1.4.3-1.mga7
+ Revision: 1326130
- new version 1.4.3

* Sun Sep 23 2018 umeabot <umeabot> 1.4.2-3.mga7
+ Revision: 1301852
- Mageia 7 Mass Rebuild

* Sat Oct 14 2017 wally <wally> 1.4.2-2.mga7
+ Revision: 1171740
- rebuild for new libqrencode

* Sat Sep 30 2017 wally <wally> 1.4.2-1.mga7
+ Revision: 1161925
- new version 1.4.2

* Fri Feb 12 2016 wally <wally> 1.2.6-7.mga6
+ Revision: 958785
- add patch to replace deprecated GTK_STOCK_* icons with named ones

* Tue Feb 09 2016 umeabot <umeabot> 1.2.6-6.mga6
+ Revision: 952515
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 1.2.6-5.mga5
+ Revision: 817433
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.2.6-4.mga5
+ Revision: 747823
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 umeabot <umeabot> 1.2.6-3.mga5
+ Revision: 697490
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 wally <wally> 1.2.6-2.mga5
+ Revision: 630323
- add actions support for Mageia bugzilla

* Sat May 31 2014 wally <wally> 1.2.6-1.mga5
+ Revision: 629425
- new version 1.2.6

* Thu Feb 06 2014 wally <wally> 1.2.5-1.mga5
+ Revision: 584493
- new version 1.2.5

* Tue Feb 04 2014 wally <wally> 1.2.4-1.mga5
+ Revision: 581068
- new version 1.2.4
- enable qrcode support

* Fri Oct 18 2013 umeabot <umeabot> 1.2.3-3.mga4
+ Revision: 520587
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 386793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 wally <wally> 1.2.3-1.mga3
+ Revision: 248578
- new version 1.2.3
- clean .spec

* Thu Nov 17 2011 wally <wally> 1.2.2-1.mga2
+ Revision: 168501
- clean BRs and use pkgconfig style if possible
- enable unique support
- drop .la files
- clean/fix file list
- new version 1.2.2
- drop unneeded patches

* Sun Jul 10 2011 ahmad <ahmad> 1.1.3-3.mga2
+ Revision: 121839
- Drop old/unneeded scriptlets
- Add BR libxfconf-devel
- Add a patch to fix the build with new exo
- imported package xfce4-clipman-plugin


* Mon Mar 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.3-2mdv2010.1
+ Revision: 528650
- Patch0: fix possible null values

* Thu Nov 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.3-1mdv2010.1
+ Revision: 467488
- update to new version 1.1.3

* Tue Oct 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 455244
- update to new version 1.1.1
- adapt to new URL schemas for Xfce sources

* Mon Sep 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1mdv2010.0
+ Revision: 432906
- update to new version 1.1.0
- fix file list

* Wed Jul 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 391133
- update to new version 1.0.2
- fix file list

* Thu May 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 375807
- update to new version 1.0.1

* Fri May 01 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 369239
- update to new version 1.0.0
- fix file list

* Mon Apr 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.1-1mdv2009.1
+ Revision: 364417
- update to new version 0.9.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-2mdv2009.1
+ Revision: 349446
- rebuild for xfce-4.6.0

* Tue Jan 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 331472
- add buildrequires on exo-devel
- update to new version 0.9.0

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.1-5mdv2009.1
+ Revision: 294990
- rebuild for new Xfce4.6 beta1

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.8.1-4mdv2009.0
+ Revision: 262354
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.8.1-3mdv2009.0
+ Revision: 256816
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.1-1mdv2008.1
+ Revision: 182065
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.0-1mdv2008.1
+ Revision: 110097
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- use upstram name

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.8.0-2mdv2008.0
+ Revision: 33206
- add macros to %%post and %%postun
- spec file clean

